petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCUDARestoreArrayRead

Restore a CUDA device pointer previously acquired with VecCUDAGetArrayRead().

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUDARestoreArrayRead(Vec v, PetscScalar **a)

If the data on the host side was previously up to date it will remain Many brso, i.e. data on both the device and the host is up to date. Many brAccessing data on the host side e.g. with VecGetArray() does not Many brincur a device to host data transfer. Many br

### Input Parameter

| v | - the vector Many br
| a | - the CUDA device pointer. This pointer is invalid after Many brVecCUDARestoreArrayRead() returns. Many br

### Fortran note

This function is not currently available from Fortran. Many br

Many br

### See Also

VecCUDAGetArrayRead(), VecCUDAGetArrayWrite(), VecCUDAGetArrayReadWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

Level:intermediate
Location:src/vec/vec/impls/seq/seqcuda/veccuda2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages